Bug 967646 - SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java from 'create' accesses on the file jvmtest-en_US.jar.pack.gz. [NEEDINFO]
SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:637676a51d653a316bceebc0866...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 14:54 EDT by Marco
Modified: 2013-10-25 09:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (marco.manley)


Attachments (Terms of Use)

  None (edit)
Description Marco 2013-05-27 14:54:04 EDT
Description of problem:
Trying to run java-based games on pogo.com.
SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java from 'create' accesses on the file jvmtest-en_US.jar.pack.gz.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that java should be allowed create access on the jvmtest-en_US.jar.pack.gz file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                jvmtest-en_US.jar.pack.gz [ file ]
Source                        java
Source Path                   /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jr
                              e/bin/java
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           java-1.7.0-openjdk-1.7.0.19-2.3.9.5.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   55
First Seen                    2013-05-27 13:49:28 CDT
Last Seen                     2013-05-27 13:49:29 CDT
Local ID                      2b42181e-636e-4f9b-9279-f81c0bc7f782

Raw Audit Messages
type=AVC msg=audit(1369680569.263:465): avc:  denied  { create } for  pid=4211 comm="java" name="jvmtest-en_US.jar.pack.gz" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1369680569.263:465): arch=x86_64 syscall=open success=no exit=EACCES a0=7fa3a0019c10 a1=241 a2=1b6 a3=6f696c6c75626d75 items=0 ppid=4148 pid=4211 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=java exe=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,user_home_dir_t,file,create

audit2allow

#============= mozilla_plugin_t ==============
#!!!! This avc is allowed in the current policy

allow mozilla_plugin_t user_home_dir_t:file create;

audit2allow -R
require {
	type user_home_dir_t;
	type mozilla_plugin_t;
	class file create;
}

#============= mozilla_plugin_t ==============
#!!!! This avc is allowed in the current policy

allow mozilla_plugin_t user_home_dir_t:file create;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-28 06:09:44 EDT
Where is jvmtest-en_US.jar.pack.gz located?
Comment 2 Daniel Walsh 2013-06-04 16:35:35 EDT
Looks like it is trying to dump
jvmtest-en_US.jar.pack.gz into the homedir.

Note You need to log in before you can comment on or make changes to this bug.